﻿:root {
    --cor-primaria: #7a86ae;
    --cor-secundaria: #88B783;
    --cor-secundaria2: #ff6435;
    --cor-accent: #ff6435;
    --bs-font-sans-serif: Roboto;
}
.text-primaria {
    color: var(--cor-primaria) !important;
}
.text-secundaria {
    color: var(--cor-secundaria) !important;
}
.text-accent {
    color: var(--cor-accent) !important;
}
/*html {
    font-size: 16px!important;
}*/
body{
    margin:0;

    /*font-size:1.2rem;
    font-weight:100;*/
}
.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
    /*override*/

    background: #222e3c;
    height: 100%;
}
.reload-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}
.reload-wrapper .reload-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 3rem 1.5rem;
    position: relative;
    /*gap: 3rem;*/
    border-radius: .6rem .6rem 0 0;
    background: white;
    color: #6c757d;
    /*margin: auto;*/
    font-size: 1.2rem;
    width:20rem;
}
    .reload-wrapper .reload-card::before {
        content: '\00a0\00a0\00a0\00a0\00a0';
        font-size: 4rem;
        margin-top: 2rem;
        background: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGZpbGw9Im5vbmUiIHZpZXdCb3g9IjAgMCAyNCAyNCIgc3Ryb2tlLXdpZHRoPSIwLjQiIHN0cm9rZT0iIzdhODZhZSIgPiAKCTxkZWZzPgoJCTxsaW5lYXJHcmFkaWVudCBpZD0iR3JhZGllbnQyIiA+CgkJCTxzdG9wIG9mZnNldD0iMCUiIHN0b3AtY29sb3I9IiM4OEI3ODMiIC8+CgkJCTxzdG9wIG9mZnNldD0iMTAwJSIgc3RvcC1jb2xvcj0iIzdhODZhZSIgLz4KCQk8L2xpbmVhckdyYWRpZW50PgoJPC9kZWZzPgogIDxwYXRoIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIgc3Ryb2tlPSJ1cmwoI0dyYWRpZW50MikiIGQ9Ik0xMS40MiAxNS4xN0wxNy4yNSAyMUEyLjY1MiAyLjY1MiAwIDAwMjEgMTcuMjVsLTUuODc3LTUuODc3TTExLjQyIDE1LjE3bDIuNDk2LTMuMDNjLjMxNy0uMzg0Ljc0LS42MjYgMS4yMDgtLjc2Nk0xMS40MiAxNS4xN2wtNC42NTUgNS42NTNhMi41NDggMi41NDggMCAxMS0zLjU4Ni0zLjU4Nmw2LjgzNy01LjYzbTUuMTA4LS4yMzNjLjU1LS4xNjQgMS4xNjMtLjE4OCAxLjc0My0uMTRhNC41IDQuNSAwIDAwNC40ODYtNi4zMzZsLTMuMjc2IDMuMjc3YTMuMDA0IDMuMDA0IDAgMDEtMi4yNS0yLjI1bDMuMjc2LTMuMjc2YTQuNSA0LjUgMCAwMC02LjMzNiA0LjQ4NmMuMDkxIDEuMDc2LS4wNzEgMi4yNjQtLjkwNCAyLjk1bC0uMTAyLjA4NW0tMS43NDUgMS40MzdMNS45MDkgNy41SDQuNUwyLjI1IDMuNzVsMS41LTEuNUw3LjUgNC41djEuNDA5bDQuMjYgNC4yNm0tMS43NDUgMS40MzdsMS43NDUtMS40MzdtNi42MTUgOC4yMDZMMTUuNzUgMTUuNzVNNC44NjcgMTkuMTI1aC4wMDh2LjAwOGgtLjAwOHYtLjAwOHoiIC8+Cjwvc3ZnPgo=") no-repeat;
    }
.reload-wrapper .reload-card .reload-text{
    display: flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    font-size: 1.3rem;
    font-weight:100;

    padding-top:1rem;
    padding-bottom:3rem;
}
.reload-wrapper .reload-card .dismiss {
    border-radius: .6rem .6rem 0 0;
    color: #e9ecef;
    padding: 0.5rem;
    cursor: pointer;
    position: absolute;
    top: 0;
    width: 100%;
    background-color: var(--cor-primaria);
    text-align: right;
}
.reload-wrapper .reload-card .reload {
    display: inline-block;
    font-weight: 400;
    line-height: 1.5;
    color: white;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    user-select: none;
    background-color: initial;
    border: 1px solid transparent;
    padding: .6rem 1.85rem;
    font-size: .875rem;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 0.2rem;
    background-color: #1cbb8c;
    border-color: #1cbb8c;
}
.reload-card .reload:hover {
    background-color: #3ec59d;
    border-color: #33c298;
}

.cover {
    /*margin: -1em !important;*/

    background-size: cover;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size: 0.8rem;
    color: black;
}

.bglogin {
    background: transparent url('../img/pabkgteste3.jpg') center top no-repeat;
    background: transparent url('../img/pabkgteste5.jpg') center top no-repeat;
    background-size: cover;
    background-position: center;
}
.bgapp {
    background: transparent url('../img/pabkgteste3.jpg') center top no-repeat;
    background: transparent url('../img/pabkgteste5.jpg') center top no-repeat;
    background-size: cover;
    background-position: center;
}

.gradient-text {
    background: linear-gradient(to right, var(--cor-secundaria2) 0%, var(--cor-primaria) 80%);
    /*background: linear-gradient(to right, #7a86ae 0%, #1CBB8C 80%);*/
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-family: 'Bauhaus 93';
    font-size: 6.5rem;
}
.card-id {
    border-top-left-radius: .6rem;
    border-top-right-radius: .6rem;
    font-size: 1.09375rem;
    background-color: var(--cor-primaria);
    font-family: 'Roboto';
    color: #e9ecef;
}
.foto-aluno__num {
    line-height: 0.8;
    letter-spacing: -3px;
}
.foto-aluno__nome {
    font-size: 0.5em;
    line-height: 0.9;
}
.foto-aluno__averbamento {
    font-size: 0.5rem;
    top: 8px;
    background-color: rgba(0,0,0,0.3);
}
.mobile-em {
    font-size: 16px !important;
}

.pointer{
    cursor:pointer;
}

.form-control {
    padding: .375em .75em;
    font-size: 1em;
}
.sidebar-item.active .sidebar-link:hover, .sidebar-item.active > .sidebar-link {
    border-right-color: #ff6435;
}

.sidebar-item .sidebar-underline {
    border-bottom: solid 2px white !important;
}

.sidebar-item.active > .sidebar-link .sidebar-underline {
    border-bottom: solid 2px #ff6435 !important;
    transition-duration: .2s;
}
@media screen and (max-width: 768px) {
    .sidebar-link, a.sidebar-link {
        border-right: none;

    }
        .sidebar-link span{
        border-bottom: solid 2px transparent;
        }

/*    .sidebar-item.active .sidebar-link span{
        border-bottom: solid 2px var(--cor-secundaria) !important;
    }*/
    .sidebar-item.active .sidebar-link:hover, .sidebar-item.active > .sidebar-link {
        border-right-color: white;
    }
}
@media screen and (max-width: 558px) {
        .cover {
            /*height: auto;*/
            font-size: 0.6rem;
        }
        /*html{
        font-size: 9.6px!important;
    }*/
        .mobile-em {
            font-size: 9.6px !important;
        }

        .py-2 {
            padding-top: 0.5em !important;
            padding-bottom: 0.5em !important;
        }

        .p-2 {
            padding: .5em !important;
        }

        .p-1 {
            padding: .25em !important;
        }

        .pb-1 {
            padding-bottom: .25em !important;
        }

        .pt-1 {
            padding-top: .25em !important;
        }

        .py-1 {
            padding-top: 0.25em !important;
            padding-bottom: 0.25em !important;
        }

        .pt-3 {
            padding-top: 1em !important;
        }

        .px-0 {
            padding-left: 0 !important;
            padding-right: 0 !important;
        }
    }


    /*Loading spinner*/

    .loader {
        height: 50px;
        width: 45px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 20px;
    }

    .barra1, .barra2, .barra3, .barra4, .barra5 {
        height: 25px;
        width: 6px;
        background-color: #394c6bff;
        background-color: #01a1ffff;
        background-color: #7a86ae;
        animation: anim 1s infinite;
    }

    @keyframes anim {
        0% {
            transform: scaleY(1);
        }

        50% {
            transform: scaleY(2);
        }

        100% {
            transform: scaleY(1);
        }
    }

    .barra2 {
        animation-delay: 0.2s;
    }

    .barra3 {
        animation-delay: 0.4s;
    }

    .barra4 {
        animation-delay: 0.6s;
    }

    .barra5 {
        animation-delay: 0.8s;
    }
    /*para evitar que o menu lateral empurre o conteudo a direita*/
    .content {
        width: auto;
    }



.rz-slider-handle {
    background-color: var(--cor-primaria);
    border-radius: 5px;
    width: .55rem;
    height: 1.5rem;
}

    .rz-slider-range {
        background-color: var(--cor-primaria);
        opacity: 0.2;
    }


    /* Full Calendar */
    .fc-toolbar-title {
        color: var(--cor-primaria);
        font-size: 1.09375rem;
        font-size: 0.6rem !important;
        /*font-weight: 300;*/
        padding: .5rem;
    }

    .fc-header-toolbar {
        /*padding: 0.5rem;
    margin: 0;
    margin-bottom: 0 !important;*/
        /*border-radius: .3rem .3rem 0 0;*/
        /*border-top-left-radius: .6rem;
    border-top-right-radius: .6rem;
    background: #2b3947;
    font-family: 'Roboto';
    background-color: var(--cor-primaria);
    color: #e9ecef;*/
        /*justify-content: flex-start !important;  fica estranho e confuso*/
        margin-bottom: 0 !important;
        display: block !important;
        background-color: #f5f7fb;
        color: var(--cor-primaria);
        white-space: normal;
        text-transform: uppercase;
        font-weight: bolder;
    }

        .fc-header-toolbar button {
            color: var(--cor-primaria) !important;
            border: none !important;
            background: none !important;
            font-size: 0.6rem !important;
            padding: .5rem !important;
            margin: 0 !important;
            white-space: normal;
            text-transform: uppercase !important;
            font-weight: bolder !important;
        }

            .fc-header-toolbar button:focus {
                box-shadow: none !important;
            }

    .fc-toolbar-title::before, .fc-dayGridMonth-button::before, .fc-timeGridWeek-button::before, .fc-today-button::before {
        content: "\00a0\00a0\00a0\00a0\00a0\00a0 | ";
        /*background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGZpbGw9Im5vbmUiIHZpZXdCb3g9IjAgMCAyNCAyNCIgc3Ryb2tlLXdpZHRoPSIxLjUiIHN0cm9rZT0iY3VycmVudENvbG9yIiBjbGFzcz0idy02IGgtNiI+CiAgPHBhdGggc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIiBkPSJNNi43NSAzdjIuMjVNMTcuMjUgM3YyLjI1TTMgMTguNzVWNy41YTIuMjUgMi4yNSAwIDAxMi4yNS0yLjI1aDEzLjVBMi4yNSAyLjI1IDAgMDEyMSA3LjV2MTEuMjVtLTE4IDBBMi4yNSAyLjI1IDAgMDA1LjI1IDIxaDEzLjVBMi4yNSAyLjI1IDAgMDAyMSAxOC43NW0tMTggMHYtNy41QTIuMjUgMi4yNSAwIDAxNS4yNSA5aDEzLjVBMi4yNSAyLjI1IDAgMDEyMSAxMS4yNXY3LjUiIC8+Cjwvc3ZnPgo=) left no-repeat;*/
        background: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGZpbGw9Im5vbmUiIHZpZXdCb3g9IjAgMCAyNCAyNCIgc3Ryb2tlLXdpZHRoPSIxLjUiIHN0cm9rZT0iIzdhODZhZSIgY2xhc3M9InctNiBoLTYiPgogIDxwYXRoIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIgZD0iTTYuNzUgM3YyLjI1TTE3LjI1IDN2Mi4yNU0zIDE4Ljc1VjcuNWEyLjI1IDIuMjUgMCAwMTIuMjUtMi4yNWgxMy41QTIuMjUgMi4yNSAwIDAxMjEgNy41djExLjI1bS0xOCAwQTIuMjUgMi4yNSAwIDAwNS4yNSAyMWgxMy41QTIuMjUgMi4yNSAwIDAwMjEgMTguNzVtLTE4IDB2LTcuNUEyLjI1IDIuMjUgMCAwMTUuMjUgOWgxMy41QTIuMjUgMi4yNSAwIDAxMjEgMTEuMjV2Ny41IiAvPgo8L3N2Zz4K") left no-repeat;
        font-size: 0.8rem;
        color: var(--cor-primaria);
    }

    .fc-next-button::after {
        content: "| PRÓXIMO"
    }

    .fc-prev-button::after {
        content: "| ANTERIOR"
    }
.flatpickr-day.selected, .flatpickr-day.startRange {
    background: var(--cor-primaria) !important;
    border-color: var(--cor-primaria) !important;
}
@media (min-width: 768px) {
    .fc-header-toolbar {
            display: flex !important;
        }

        .fc-header-toolbar button {
            padding-left: 3rem !important;
        }


    }
    /***** Bootstrap Override *****/
    svg {
        min-width: 18px;
    }
/* template overide */

.btn-primary {
    background-color: #673ab7;
    border-color: #673ab7;
    color: white;
}
.btn-warning {
    background-color: #ff6435;
    border-color: #ff6435;
    color: white;
}
.btn-success {
    background-color: #1cbb8c;
    border-color: #1cbb8c;
}

.btn {
    display: inline-block;
    border-radius: 0.1rem;
    font-weight: 400;
    line-height: 1.5;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    border: 1px solid transparent;
    /*    user-select: none;
    background-color: initial;
    padding: .3rem .85rem;
    font-size: .875rem;
    border-radius: .2rem;*/
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.card {
    --bs-card-border-radius: 0.65rem;
}
.wrapper {
    align-items: stretch;
    display: flex;
    width: 100%;
    /*background: #222e3c;*/
}
.main {
    display: flex;
    width: 100%;
    min-width: 0;
    min-height: 100vh;
    transition: margin-left .35s ease-in-out,left .35s ease-in-out,margin-right .35s ease-in-out,right .35s ease-in-out;
    background: #f5f5f5;
    background: #f5f7fb;
    flex-direction: column;
    overflow: hidden;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    margin-left: 260px;
}
.navbar-align {
    margin-left: auto;
}
.sidebar, .sidebar-content {
    transition: margin-left .35s ease-in-out,left .35s ease-in-out,margin-right .35s ease-in-out,right .35s ease-in-out;
    /*background: #222e3c;*/
}

.sidebar {
    min-width: 260px;
    max-width: 260px;
    direction: ltr;
}

.sidebar-nav {
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
    flex-grow: 1;
}
.sidebar-link, a.sidebar-link {
    display: block;
    padding: 0.625rem 1.625rem;
    font-weight: 100;
    font-family:Roboto;
    transition: background .1s ease-in-out;
    position: relative;
    text-decoration: none;
    cursor: pointer;
    color: rgba(233,236,239,.5);
    color: black;
    /*background: #222e3c;*/
    border-top: 1px solid rgba(233,236,239,.5);
    border-bottom: 1px solid rgba(233,236,239,.5);
    border-right: 3px solid transparent;
}

/*.navbar-bg {
    background: #fff;
    box-shadow: 0 0 2rem 0 rgba(33,37,41,.1);
    height: 60px;
}*/

@media screen and (max-width: 768px) {
    .main {
        margin-left: 0;
    }
}

.fc  a {
    color:var(--cor-primaria);
    text-decoration: none;
}
.fc-daygrid-body-natural {
    display: none;
}

.fc-timegrid-now-indicator-line {
    border-top: 3px solid var(--cor-primaria) !important;
}

.fc-timegrid-now-indicator-arrow {
    border-left-color: var(--cor-primaria) !important;
    border-right-color: var(--cor-primaria) !important;
}

.fc-v-event {
    border: 1px solid var(--cor-accent) !important;
}